# BasePattern Class Reference
[Patterns used to build classes]

Inheritance diagram for BasePattern:
[legend]

List of all members.

## Public Member Functions

| tableExists ()
| guess what
| daoExists ()
| indicates DAO availability for classes which uses this pattern
| build (MetaClass $class)
| builds everything for given class

## Static Public Member Functions

static | dumpFile ($path, $content)

## Protected Member Functions

| fullBuild (MetaClass $class)
| buildProto (MetaClass $class)
| buildBusiness (MetaClass $class)
| buildDao (MetaClass $class)

## Detailed Description

Definition at line 15 of file BasePattern.class.php.

## Member Function Documentation

BasePattern::build | ( | MetaClass $ | class | ) |

builds everything for given class

Implements GenerationPattern.

Reimplemented in EnumerationClassPattern, and SpookedEnumerationPattern.

Definition at line 70 of file BasePattern.class.php.

References fullBuild().

Here is the call graph for this function:

BasePattern::buildBusiness | ( | MetaClass $ | class | ) | `[protected]`

Returns:
  BasePattern

Definition at line 113 of file BasePattern.class.php.

References BusinessClassBuilder::build(), dumpFile(), MetaClass::getName(), Format::indentize(), and MetaConfiguration::me().

Referenced by ValueObjectPattern::fullBuild(), and fullBuild().

Here is the call graph for this function:

BasePattern::buildDao | ( | MetaClass $ | class | ) | `[protected]`

Returns:
  BasePattern

Definition at line 137 of file BasePattern.class.php.

References DaoBuilder::build(), dumpFile(), MetaClass::getName(), Format::indentize(), and MetaConfiguration::me().

Referenced by fullBuild().

Here is the call graph for this function:

BasePattern::buildProto | ( | MetaClass $ | class | ) | `[protected]`

Returns:
  BasePattern

Definition at line 89 of file BasePattern.class.php.

References ProtoClassBuilder::build(), AutoProtoClassBuilder::build(), dumpFile(), MetaClass::getName(), Format::indentize(), and MetaConfiguration::me().

Referenced by ValueObjectPattern::fullBuild(), and fullBuild().

Here is the call graph for this function:

BasePattern::daoExists | ( |  | ) |

indicates DAO availability for classes which uses this pattern

Implements GenerationPattern.

Reimplemented in DictionaryClassPattern, EnumerationClassPattern, SpookedEnumerationPattern, and StraightMappingPattern.

Definition at line 22 of file BasePattern.class.php.

static BasePattern::dumpFile | ( | $ | path,
|  | $ | content |
| ) |  |  | `[static]`

Definition at line 27 of file BasePattern.class.php.

References MetaConfiguration::me(), and MetaConfiguration::out().

Referenced by EnumerationClassPattern::build(), buildBusiness(), buildDao(), buildProto(), and MetaConfiguration::buildSchema().

Here is the call graph for this function:

BasePattern::fullBuild | ( | MetaClass $ | class | ) | `[protected]`

Returns:
  BasePattern

Reimplemented in ValueObjectPattern.

Definition at line 78 of file BasePattern.class.php.

References buildBusiness(), buildDao(), and buildProto().

Referenced by build().

Here is the call graph for this function:

BasePattern::tableExists | ( |  | ) |

guess what

Implements GenerationPattern.

Reimplemented in AbstractClassPattern, EnumerationClassPattern, and ValueObjectPattern.

Definition at line 17 of file BasePattern.class.php.

The documentation for this class was generated from the following file:

- meta/patterns/BasePattern.class.php